MacDrawProStyleManagerInternal::Gradient Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MacDrawProStyleManagerInternal::Gradient Struct Reference

## Public Member Functions
| Gradient ()
| constructor More...
bool | hasGradient () const
| returns true if the gradient is defined More...

## Public Attributes
MWAWGraphicStyle::GradientType | m_type
| the gradient type More...
std::vector< MWAWGraphicStyle::GradientStop > | m_stopList
| the list of gradient limits More...
float | m_angle
| the gradient angle More...
MWAWVec2f | m_percentCenter
| the gradient center More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Gradient const &grad)
| a print operator More...

## Constructor & Destructor Documentation

## § Gradient()

MacDrawProStyleManagerInternal::Gradient::Gradient | ( |  | ) |
| inline

constructor

## Member Function Documentation

## § hasGradient()

bool MacDrawProStyleManagerInternal::Gradient::hasGradient | ( |  | ) | const
| inline

returns true if the gradient is defined

Referenced by MacDrawProStyleManagerInternal::operator<<().

## Friends And Related Function Documentation

## § operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Gradient const & | grad
| ) |  |
| friend

a print operator

Referenced by hasGradient().

## Member Data Documentation

## § m_angle

float MacDrawProStyleManagerInternal::Gradient::m_angle

the gradient angle

Referenced by MacDrawProStyleManagerInternal::operator<<(), MacDrawProStyleManager::readGradientMap(), and MacDrawProStyleManager::updateGradient().

## § m_extra

std::string MacDrawProStyleManagerInternal::Gradient::m_extra

extra data

Referenced by MacDrawProStyleManagerInternal::operator<<(), and MacDrawProStyleManager::readGradientMap().

## § m_percentCenter

MWAWVec2f MacDrawProStyleManagerInternal::Gradient::m_percentCenter

the gradient center

Referenced by MacDrawProStyleManagerInternal::operator<<(), MacDrawProStyleManager::readGradientMap(), and MacDrawProStyleManager::updateGradient().

## § m_stopList

std::vector<MWAWGraphicStyle::GradientStop> MacDrawProStyleManagerInternal::Gradient::m_stopList

the list of gradient limits

Referenced by hasGradient(), MacDrawProStyleManagerInternal::operator<<(), MacDrawProStyleManager::readGradientMap(), and MacDrawProStyleManager::updateGradient().

## § m_type

MWAWGraphicStyle::GradientType MacDrawProStyleManagerInternal::Gradient::m_type

the gradient type

Referenced by hasGradient(), MacDrawProStyleManagerInternal::operator<<(), MacDrawProStyleManager::readGradientMap(), and MacDrawProStyleManager::updateGradient().

The documentation for this struct was generated from the following file:

- MacDrawProStyleManager.cxx